## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMapKeyTraits Struct Template Reference

`#include <XalanMap.hpp>`

List of all members.

## Public Types

- typedef XalanHasher<Key> Hasher
- typedef XALAN_STD_QUALIFIER
  equal_to<Key> Comparator

### template<class Key> struct XalanMapKeyTraits

## Member Typedef Documentation

template<class Key>
typedef XALAN_STD_QUALIFIER equal_to< Key > XalanMapKeyTraits<Key>::Comparator<Key>

template<class Key>
typedef XalanHasher< Key > XalanMapKeyTraits<Key>::Hasher<Key>

The documentation for this struct was generated from the following file:

- XalanMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.